% plots for the quorum sensing problem

clear
set(0,                           ...
   'defaultaxesfontsize', 20,   ...
   'defaultaxeslinewidth', 1.0, ...
   'defaultlinelinewidth', 1.2, ...
   'defaultpatchlinewidth', 0.7);

u=[0.01:0.01:10];

K = 1;
s0=0.1;
glist = [0.5,1.3,  1.6];
 
for j = 1:length(glist);
    g = glist(j)

f = s0 + g*u.^2./(K^2+u.^2);
p=u./f;

mu = (1./(p-1)).^2;

plot(mu,u,'linewidth',2);
axis([0 20 0 4])

hold on
end

text(1,0.6,'\gamma = 0.5','fontsize',20)
text(10,1.9,'\gamma = 1.6','fontsize',20)
text(10,1.1,'\gamma = 1.3','fontsize',20)
xlabel('\mu','fontsize',20)
ylabel('u','fontsize',20)
  
hold off